#include <bits/stdc++.h>
#define fi first
#define se second
using namespace std;
int main()
{
    int m;
    cin>>n;
    vector<pair<int, int> a(m);
    for(int i=0; i<m; i++)
    {
        cin>> a[i].fi >> " " >> a[i].se
    }
    for(int i=0; i<m; i++)
    {
        cout<<0;
    }
}